# Starstorm 2 Unofficial

Unofficial update to the Pre-SotV version of Starstorm 2. **[Get the official version here!](https://thunderstore.io/package/TeamMoonstorm/Starstorm2/)**

Executioner and Nemesis Commando are based on the version from the pre-SotV build with some tweaks, while Cyborg/Chirr/Pyro have been re-coded from the ground up due to the old code being unworkable.

This mod can be used alongside the official version of Starstorm 2. Be sure to go through your configs to disable duplicated features.

I've gotten permission to work on this project and host it here, and permission to upload it to Thunderstore as a hidden mod.

The SS2 team is free to use any of the new code from this mod as long as this repo is allowed to stay up and credit is given.

## Features

- New Survivors:
  - Executioner
  - Cyborg
  - Chirr
  - Pyro
  - Nemesis Commando
  
- Items:
	- Common:
		- Fork
		- Molten Coin
		- Diary
		- Dormant Fungus (Disabled)
		- Coffee Bag (Disabled)

	- Uncommon:
		- Watch Metronome

	- Rare:
		- Droid Head
		- Green Chocolate
	
	- Boss:
		- Stirring Soul

- Equipment:
	- Cloaking Headband
	- Greater Warbanner
  
 - Storms
 
 - Nemesis Invasion Event (triggered after completing Void Fields)
 
 *If unlock achievements aren't working, you can force unlock them in the config.*

## Changelog

`0.15.1`

- Readme update.

`0.15.0`

- Items
	- Common
		- Fork
			- Increase base damage by 2.4 (+2.4 per stack).
			
			*Increases base damage by Commando's damage per level, same as in the original Starstorm.*
			
		- Molten Coin
			- 6% chance to ignite for 300% (+300%) base damage and earn $1. Scales with time.
				- Does not gain money in Bazaar.
			
		- Diary (Rework)
			- Increases move speed by 10% (+10%) and armor by 3 (+3).
			
			*Meant to be another way to boost your move speed stat while being a lower priority item than mainstays like Hoofs/Coffee/Energy Drinks. Numberwise it's comparable to 2/3 of a Hoof and 1/3 of a Hermit's Scarf.*
			
	- Uncommon
		- Watch Metronome
			- Walking on the ground charges up the speed of your next sprint by up to 200%. Decays over 4s (+2s per stack) of sprinting.
			
	- Rare
		- Droid Head
			- Killing Elites summons a Strike Drone with 100% damage (+50% damage per stack) that inherits the Elite type. Lasts 30s, limited to 3 active.
			
		- Green Chocolate
			- When receiving 20% or more of your max health as damage, any damage over the threshold is reduced by 50%. Gain +50% damage for 7s upon triggering this effect, stacks up to 1 (+1 per stack) time.
			
	- Boss
		- Stirring Soul
			- Dropped by Nemmando.
		
- Equipment
	- Cloaking Headband
		- Become invisible for 10 seconds. (45s CD)

	- Greater Warbanner
		- Place a greater warbanner that strengthens allies within 25m. Raises critical chance by 25%. Every second, reduces skill cooldowns by 0.5s and heals for 2.5% of your max health.
		
		*Is this networked? Attempted to fix some of the bugs from the old implementation.*
		
- Disabled by Default
	- Common
		- Dormant Fungus
		- Coffee Bag
		
		*These are vanilla, but left in the mod in case you want to use them for whatever reason.*
		
- Currently Unimplemented Items
	- Detritive Trematode/Strange Can
		- These are items based around dealing %HP damage. Should this be a thing?
		
	- Hunter's Sigil
		- Sharp Anchor from StormysItems does this better, and without the RNG crit chance.
		- Considered reworking it to give storable guaranteed crits when standing still, but this would mainly just be a buff to already strong single-hit characters.
		
	- Malice
		- I always felt this was way too strong in RoR2 in all iterations of it, due to free targeting being a thing in RoR2 as well as AoE attacks being more common in general.
		
	- Broken Blood Tester/Prototype Jet Boots
		- Useless.
		
	- Nkota's Heritage
		- Was only good in the SS ruleset due to Command + Sac and reds being more common on Stage 1.
		
	- Erratic Gadget/Relic of Mass
		- Already a part of Vanilla.

	- Pressurized Canister
		- Even if bugs are fixed, it inherently doesnt work with Gesture and is an equipment that would always get swapped for literally any other.

<details>

`0.14.5`

- Fixed in-game Pyro model using an older version of the mesh. (Thanks Rob!)

`0.14.4`

- Fixed a niche bug where enemy Nemmandos could permanently change team after falling off the map.

`0.14.3`

- Updated mod-specific Mithrix chat to have the right size.

`0.14.2`

- Added skill icon for Cyborg's Shock Core (Thanks Littera!)

`0.14.1`

- Chirr
	- Added config option to disable Minion ping targeting in case you want to use other mods that add this.

`0.14.0`

- Cyborg
	- Unmaker
		- Damage increased from 270% -> 300%
		
	- Rising Star
		- Damage increased from 240%-720% -> 300%-900%
		
	- Defense Matrix
		- Reduced base recharge time from 8s -> 7s
		- Increased meter increase from Backup Mags from +50% -> +100%
		- Increased base shield duration from 2s -> 3s
		- Removed cooldown reduction on block.
		
	- Shock Core
		- Reduced damage from 800%-1600% -> 600%-1200%
		- Reduced cooldown from 12s -> 7s
		- Moved to Secondary slot so that there's an option for people who don't want to use the shield.
		- Disabled self-knockback.
		- Can now instantly fire your primary after releasing the button.
		
	- Recall
		- Reduced cooldown from 12s -> 10s
		
	- Flight Mode
		- Reduced cooldown from 12s -> 10s
		
	- Overheat Redress
		- Reduced cooldown from 12s -> 10s
		- Hits per second increased from 5 -> 8
		- DPS increased from 700% -> 1200%
		- Full DPS time increased from 0s -> 1s
		- Max DPS falloff reduced from -90% -> -80%
		- Increased AoE range from 12m -> 15m
		- Increased pull force from 300 -> 600

- Executioner
	- New Primary: Standard Issue Pistol
		- It's the same as his default primary, except it fires 1 shot instead of 2 (still is 4 shots per second)
	- Special
		- Increased damage from 800%-2400% -> 1000%-3000%
		
- Nemmando
	- Decisive Strike
		- Increased slash damage from 300% -> 360%

`0.13.1`

- Nemesis Commando
	- Fixed camera getting permanently changed when using Decisive Strike Scepter.
		- Fixed other potential areas where this could happen with his specials.
	
- Chirr
	- Re-enabled void death immunity on allies.

`0.13.0`

- Chirr
	- General
		- Fixed secret ending text being broken.
		- Adding ending text for Mastery skin.
		
	- Sanative Aura
		- Increased heal from 25% + 30% -> 30% + 70% to match SS1's total healing amount.
		- Reduced cooldown from 15s -> 12s
		
	- Natural Link
		- Leashing allies now causes all non-Champion (boss) enemies to target them temporarily.
			- Ally periodically heals for every enemy distracted.
		- Leash now teleports your ally to where your crosshair is pointing.
		- Increased cooldown from 3s -> 12s
		- Allies no longer passively absorb damage.
		
	- Allies
		- When pinging enemies, maintains attention until it dies or you ping something else.
		- Significantly improved aim speed.
		- Redid stat scaling since the old system was incredibly convoluted.
		- New stat scaling:
			- HP/Damage scales with player level. (used to scale with Ambient Level)
			- +50% HP and +100% Skill damage for non-elites.
			- +100% HP and +200% Skill damage for elites (overrides elite stats)
		- Disabled Void Implosion immunity.
		- Enabled Grandparent Overheat immunity.
		- Reduced knockback taken by 90%.
		
		*Stats need more testing. Did some lategame runs and Golems seemed to be surviving fine even with the lower stat scaling. Earlygame allies seem to be a lot squishier.*
	
- Nemesis Invasion
	- Bosses no longer spawn in the bazaar (can be re-enabled in config).

`0.12.9`

- Nemesis Invasion
	- Added Move Speed Cap config option to prevent boss move speed from passing a specified threshold. (Disabled by default)

`0.12.8`

- Executioner
	- Fixed giant Royal Capacitor display.

`0.12.7`

- Nemesis Invasion
	- Fixed internal Nemesis stat items getting removed by the item blacklist.
	
</details>